<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { useUserStore } from '@/stores/user'
import { ref } from 'vue'

const form = ref(false)
const authStore = useAuthStore()

const show = ref(false)

const required = (v: any) => {
  return !!v || 'Field is required'
}

function onSubmit() {
  form.value
}
</script>

<template>
  <v-container class="pa-0">
    <v-row class="justify-center align-center pa-11">
      <v-sheet class="pa-9" style="background-color: #604c46" rounded>
        <v-card class="pa-3" width="300" title="Login" style="text-align: center">
          <v-row class="justify-center align-center" style="padding-top: 5px; padding-bottom: 20px">
            <v-icon icon="mdi-account-circle-outline" size="100"></v-icon>
          </v-row>
          <v-form v-model="form" @submit.prevent="onSubmit">
            <v-text-field
              v-model="authStore.email"
              :rules="[required]"
              class="mb-2"
              clearable
              label="Email*"
              placeholder="Enter your Email"
            ></v-text-field>
            <v-text-field
              v-model="authStore.password"
              :rules="[required]"
              clearable
              label="Password*"
              placeholder="Enter your Password"
              :type="show ? 'text' : 'password'"
            >
              <template v-slot:append-inner>
                <v-icon
                  :icon="show ? 'mdi-eye' : 'mdi-eye-off'"
                  @click="show = !show"
                ></v-icon> </template
            ></v-text-field>
            <br />
            <small
              ><p style="text-align: left; font-size: 11px">*indicates required field</p></small
            >
            <br />
            <v-btn
              :disabled="!form"
              block
              style="background-color: #d7bb93"
              size="large"
              type="submit"
              variant="elevated"
              @click="authStore.login"
            >
              Sign In
            </v-btn>
          </v-form>
        </v-card>
      </v-sheet>
    </v-row>
  </v-container>
  <!--  login ไม่ pass -->
  <v-dialog v-model="authStore.unsuccess" width="500">
    <template v-slot:default="{ isActive }">
      <v-card class="justify-center align-center" style="border: #fe0000 solid 2px;">
        <v-card-text>
          <v-row class="justify-center align-center pa-5"><v-icon icon="mdi-alpha-x-circle-outline" size="150" color="#fe0000" ></v-icon></v-row>
          <h2>Incorrect Email or Password </h2>
        </v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>

          <v-btn text="Close" color="red" @click="isActive.value = false"></v-btn>
        </v-card-actions>
      </v-card>
    </template>
  </v-dialog>
</template>
